Usage API
The Usage API allows you to retrieve the usage and access log data provided within the Logs tool.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/auditlogs/usage
data-variant=info
data-slots=text
Adobe may add optional request and response members (name/value pairs) to existing API objects at any time and without notice or changes in versioning. Adobe recommends that you refer to the API documentation of any third-party tool you integrate with our APIs so that such additions are ignored in processing if not understood. If implemented properly, such additions are non-breaking changes for your implementation. Adobe will not remove parameters or add required parameters without first providing standard notification through release notes.
Supported query string parameters
Attribute
Type
Description
Possible Value
startDatestringStart date for the maximum of a 3 month period.
YYYY-12-01T00:00:00-07endDatestringEnd date for the maximum of a 3 month period.
YYYY-12-15T14:32:33-07loginstringThe login value of the user you want to filter logs by. Filtered as an exact match.
User defined
ipstringThe IP address you want to filter logs by. This filter supports a partial match.
10.0rsidstringThe report suite ID you want to filter logs by. Filtered as an exact match.
User defined
eventTypestringThe numeric id for the event type you want to filter logs by. Please reference the lookup table below.
3eventstringThe event description you want to filter logs by. No wildcards are permitted, but this filter is case insensitive and supports partial matches.
User defined
limitintegerNumber of results per page, with a maximum value of 1000.
10pageintegerPage number (base 0 - first page is "0")
0eventType lookup
By default, all event types are included when you make a request to get usage logs. You can apply a filter for a specific event type using the eventType query string parameter. These event types are the same fields available in the Usage and Access Log in the Analytics UI.
ID
Event Type
0No Category
1Login failed
2Login successful
3Admin Action
4Security setting change
5Report viewed
6Report downloaded
7Alert sent
8User Action
9Tool viewed
10Adobe Action
11Password Recovery
12BookMarks
13Dashboards
14Alerts
15Calendar Events
16Targets
17Report Settings
18Scheduled Reports
19Exclude By IP
20Name Pages
21Classifications
22Data Sources
23Workspace Project
24Segment
25Calculated Metric
26Date Range
27Virtual Report Suite
28Contribution Analysis
30Excel Data Block Request
31Excel Login Failure
32Excel Login Success
41Mobile Login Failure
42Mobile Login Success
61Api Method
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X GET "https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/auditlogs/usage?startDate=YYYY-01-01T00%3A00%3A00-07&endDate=YYYY-01-15T14%3A32%3A33-07&limit=10" \
-H "x-api-key: {CLIENTID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-H "Accept: application/json"
Response
{
"content": [
{
"eventType": null,
"eventDescription": "Created Successfully",
"ipAddress": "10.27.55.130",
"login": "user@adobe.com",
"rsid": null,
"dateCreated": "YYYY-01-13T23:20:41.000+00:00"
},
{
"eventType": "23",
"eventDescription": "Project Viewed: Name=AS PROJ 09 03 Project Id=5fd02d65b00cb97e4762a20f",
"ipAddress": "10.27.55.131",
"login": "user@adobe.com",
"rsid": "N/A",
"dateCreated": "YYYY-01-13T23:20:30.000+00:00"
},
{
"eventType": "2",
"eventDescription": "Successful Login - Experience Cloud",
"ipAddress": "10.178.33.74",
"login": "user@adobe.com",
"rsid": "N/A",
"dateCreated": "YYYY-01-13T23:20:10.000+00:00"
},
{
"eventType": "3",
"eventDescription": "Viewed Logs:Index in the Administration Console.",
"ipAddress": "10.179.134.242",
"login": "user@adobe.com",
"rsid": "N/A",
"dateCreated": "YYYY-01-13T18:45:42.000+00:00"
},
{
"eventType": "3",
"eventDescription": "Viewed Logs:GetUsageLogUI in the Administration Console.",
"ipAddress": "10.179.134.242",
"login": "user@adobe.com",
"rsid": "N/A",
"dateCreated": "YYYY-01-13T18:38:33.000+00:00"
},
{
"eventType": "3",
"eventDescription": "Viewed Logs:GetUsageLogUI in the Administration Console.",
"ipAddress": "10.179.134.242",
"login": "user@adobe.com",
"rsid": "N/A",
"dateCreated": "YYYY-01-13T18:09:16.000+00:00"
},
{
"eventType": "3",
"eventDescription": "Viewed Logs:GetUsageLogUI in the Administration Console.",
"ipAddress": "10.179.134.242",
"login": "user@adobe.com",
"rsid": "N/A",
"dateCreated": "YYYY-01-13T18:09:10.000+00:00"
},
{
"eventType": "3",
"eventDescription": "Viewed Logs:GetReportSuiteLog in the Administration Console.",
"ipAddress": "10.179.134.242",
"login": "user@adobe.com",
"rsid": "N/A",
"dateCreated": "YYYY-01-13T18:08:54.000+00:00"
},
{
"eventType": "3",
"eventDescription": "Viewed Logs:GetUsageLogUI in the Administration Console.",
"ipAddress": "10.179.134.242",
"login": "user@adobe.com",
"rsid": "N/A",
"dateCreated": "YYYY-01-13T18:08:26.000+00:00"
},
{
"eventType": "3",
"eventDescription": "Viewed Logs:Index in the Administration Console.",
"ipAddress": "10.179.134.242",
"login": "user@adobe.com",
"rsid": "N/A",
"dateCreated": "YYYY-01-13T18:06:09.000+00:00"
}
],
"totalElements": 159,
"lastPage": false,
"numberOfElements": 10,
"totalPages": 16,
"firstPage": true,
"sort": null,
"size": 10,
"number": 0
}
The following request contains query string parameters to filter the logs by eventType, IP and event.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X GET "https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/auditlogs/usage?startDate=YYYY-01-01T00%3A00%3A00-07&endDate=YYYY-01-15T14%3A32%3A33-07&ip=10&eventType=5&event=viewed&limit=10" \
-H "x-api-key: {CLIENTID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-H "Accept: application/json"
Response
{
"content": [
{
"eventType": "5",
"eventDescription": "Pages Report viewed",
"ipAddress": "10.178.63.58",
"login": "user@adobe.com",
"rsid": "examplersid",
"dateCreated": "YYYY-01-11T19:30:46.000+00:00"
}
],
"totalElements": 1,
"lastPage": true,
"numberOfElements": 1,
"totalPages": 1,
"firstPage": true,
"sort": null,
"size": 10,
"number": 0
}